# $Revision: 1.11 $, $Date: 2007/10/17 11:30:52 $
Summary:	New PaX control program
Summary(pl.UTF-8):	Nowe narzędzie do kontroli PaX
Name:		paxctl
Version:	0.5
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://pax.grsecurity.net/%{name}-%{version}.tar.gz
# Source0-md5:	6ec138522977dc7654d33ddbe32755f0
URL:		http://pax.grsecurity.net/
Obsoletes:	chpax
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This is paxctl utility for controlling PaX flags on a per binary
basis. This new PaX control program uses the PT_PAX_FLAGS marking
available in PaX patches after 2004.02.04 (highly recommended).

PaX is an intrusion prevention system that provides some protection
mechanisms against memory corruption bugs. Some applications are not
compatible with certain features (due to design or bad engineering)
and therefore they have to be exempted from certain enforcements. It
is also possible to use PaX in soft mode where none of the protection
mechanisms are active by default - here paxctl can be used to turn
them on for selected programs (e.g., network daemons, programs that
process network data such as mail clients, web browsers, etc).

%description -l pl.UTF-8
Ten pakiet zawiera narzędzie paxctl do kontroli flag PaX dla każdej
binarki. Ten nowy program używa znaczników PT_PAX_FLAGS dostępnych w
łatach PaX po 2004.02.04 (jest to mocno zalecana wersja).

PaX to system zapobiegania włamaniom dostarczający mechanizmy
zabezpieczeń przeciwko błędom związanym z uszkadzaniem zawartości
pamięci. Niektóre aplikacje nie są kompatybilne z pewnymi cechami (ze
względów projektowych lub złej techniki) i przez to mogą musieć być
zwolnione z niektórych ograniczeń. Możliwe jest także uruchomienie
mechanizmu PaX w trybie łagodnym (soft), kiedy żaden z mechanizmów
ochrony nie jest domyślnie włączony i w takim przypadku można używać
paxctl do włączenia ich dla wybranych programów (np. demonów
sieciowych, programów przetwarzających dane sieciowe takich jak
klienci pocztowi, przeglądarki WWW itp.).

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}
install paxctl $RPM_BUILD_ROOT%{_sbindir}
install paxctl.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%doc README
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: paxctl.spec,v $
Revision 1.11  2007/10/17 11:30:52  zbyniu
- up to 0.5

Revision 1.10  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.8  2006/06/28 11:27:28  qboosh
- updated to 0.4, License is GPL v2

Revision 1.7  2005/05/16 20:38:42  zbyniu
- up to 0.3

Revision 1.6  2005/05/01 14:47:22  qboosh
- unified

Revision 1.5  2004/03/21 23:51:47  pluto
- release 1.

Revision 1.4  2004/03/18 19:53:10  qboosh
- en cosmetics, pl description

Revision 1.3  2004/03/18 00:08:45  pluto
- %%desc, %%doc.

Revision 1.2  2004/03/17 12:28:31  pluto
- ehh, md5.

Revision 1.1  2004/03/17 12:27:34  pluto
- initial (chpax is obsolete).
